Subject: Re: sys_mpc83xx spi driver not probed

From: Anton Vorontsov <[email-masked]>
Date: Mon, 26 Nov 2007 20:40:23 +0300

On Mon, Nov 26, 2007 at 10:39:56AM -0600, Scott Wood wrote:
> On Fri, Nov 23, 2007 at 07:02:23PM +0200, Joel Rouch wrote:
> > I have a custom 8349 ppc board. I have defined the spi master in the 
> > configuration.
> > While booting my board, I driver is well added and linked to platform 
> > bus, however I don't see that the probe entry point is reached.
> > I don't succeed to understand who is triggering the probe. Can someone 
> > point me to the right link or explain me how to force it ?
> 
> Are you calling of_platform_bus_probe() from your board file?

spi_mpc83xx isn't of_platform_driver, yet. Thus we have to use fsl helper,
fsl_spi_init.

So far, good example of spi_mpc83xx usage is in
arch/powerpc/platforms/83xx/mpc832x_rdb.c

Good luck,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2